## python-tblib 3.0.0

=== docs/requirements.txt ===
sphinx>=1.3
sphinx-py3doc-enhanced-theme
sphinx-autoapi

## python-tblib 0.1.0

=== debian/changelog ===
python-tblib (0.1.0-3) unstable; urgency=medium

  * Adjust tests to support Python 3.4.

 -- Colin Watson <cjwatson@debian.org>  Tue, 04 Mar 2014 11:18:50 +0000

python-tblib (0.1.0-2) unstable; urgency=medium

  * Set sitepackages = True in tox.ini, so that tests can run on systems
    without network access.
  * Build-depend on python-six and python3-six to guarantee their
    availability for tests and to quieten dh_python3.

 -- Colin Watson <cjwatson@debian.org>  Tue, 04 Mar 2014 01:24:40 +0000

python-tblib (0.1.0-1) unstable; urgency=medium

  * Initial release (closes: #740186).

 -- Colin Watson <cjwatson@debian.org>  Thu, 27 Feb 2014 11:09:09 +0000

=== debian/control ===
Source: python-tblib
Section: python
Priority: optional
Maintainer: Colin Watson <cjwatson@debian.org>
Standards-Version: 3.9.5
Build-Depends: debhelper (>= 7.2.11~), python (>= 2.6.6-3~), python-all, python3 (>= 3.1.2-8~), python3-all, python-setuptools, python3-setuptools, python-six, python3-six, python-coverage, python3-coverage, python-tox
Homepage: https://github.com/ionelmc/python-tblib
Vcs-Git: git://anonscm.debian.org/users/cjwatson/python-tblib.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/cjwatson/python-tblib.git
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2

Package: python-tblib
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-six
Description: Python 2 traceback fiddling library
 This library allows pickling tracebacks so that they can be passed across
 process boundaries.  The traceback objects that come out are stripped of
 some attributes such as variables, but it is at least possible to raise
 exceptions with those tracebacks or print them.

Package: python3-tblib
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-six
Description: Python 3 traceback fiddling library
 This library allows pickling tracebacks so that they can be passed across
 process boundaries.  The traceback objects that come out are stripped of
 some attributes such as variables, but it is at least possible to raise
 exceptions with those tracebacks or print them.

=== debian/rules ===
#! /usr/bin/make -f
%:
	dh $@ --with python2,python3

# Keep pristine copies of some files that setup.py likes to modify.
BACKUP = \
	PKG-INFO \
	src/tblib.egg-info/PKG-INFO \
	src/tblib.egg-info/SOURCES.txt

override_dh_auto_build:
	mkdir -p debian/backup
	set -e; for x in $(BACKUP); do \
		mkdir -p debian/backup/$$(dirname $$x); \
		cp -a $$x debian/backup/$$x; \
	done
	dh_auto_build
	set -e; for python in $$(py3versions -r); do \
		$$python setup.py build; \
	done

override_dh_auto_test:
	HOME=$(CURDIR) tox -e py,py3

override_dh_auto_clean:
	dh_auto_clean
	find -name \*.pyc -print0 | xargs -0r rm -f
	find -name __pycache__ -print0 | xargs -0r rm -rf
	rm -rf build .tox
	if [ -e debian/backup ]; then \
		set -e; for x in $(BACKUP); do \
			cp -a debian/backup/$$x $$x; \
		done; \
		rm -rf debian/backup; \
	fi

override_dh_auto_install:
	dh_auto_install
	set -e; for python in $$(py3versions -r); do \
		$$python setup.py install --root=$(CURDIR)/debian/tmp \
			--no-compile -O0 --install-layout=deb; \
	done

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/t/tblib/tblib-(.+)\.tar\.gz

## python-tblib 0.2.0

=== debian/changelog ===
python-tblib (0.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Build-depend on dh-python.
  * Policy version 3.9.6: no changes required.

 -- Colin Watson <cjwatson@debian.org>  Tue, 13 Jan 2015 14:19:28 +0000

python-tblib (0.1.0-5) unstable; urgency=medium

  * Update Vcs-Browser URL yet again.

 -- Colin Watson <cjwatson@debian.org>  Thu, 04 Sep 2014 17:32:38 +0100

python-tblib (0.1.0-4) unstable; urgency=medium

  * Update Vcs-Browser URL for alioth cgit.
  * Mark all binary packages Multi-Arch: foreign.

 -- Colin Watson <cjwatson@debian.org>  Sat, 30 Aug 2014 18:03:39 +0100

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,17 @@
 Section: python
 Priority: optional
 Maintainer: Colin Watson <cjwatson@debian.org>
-Standards-Version: 3.9.5
-Build-Depends: debhelper (>= 7.2.11~), python (>= 2.6.6-3~), python-all, python3 (>= 3.1.2-8~), python3-all, python-setuptools, python3-setuptools, python-six, python3-six, python-coverage, python3-coverage, python-tox
+Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 7.2.11~), dh-python, python (>= 2.6.6-3~), python-all, python3 (>= 3.1.2-8~), python3-all, python-setuptools, python3-setuptools, python-six, python3-six, python-coverage, python3-coverage, python-tox
 Homepage: https://github.com/ionelmc/python-tblib
 Vcs-Git: git://anonscm.debian.org/users/cjwatson/python-tblib.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/cjwatson/python-tblib.git
+Vcs-Browser: http://anonscm.debian.org/cgit/users/cjwatson/python-tblib.git/
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
 
 Package: python-tblib
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}, ${python:Depends}, python-six
 Description: Python 2 traceback fiddling library
  This library allows pickling tracebacks so that they can be passed across
@@ -21,6 +22,7 @@
 
 Package: python3-tblib
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}, ${python3:Depends}, python3-six
 Description: Python 3 traceback fiddling library
  This library allows pickling tracebacks so that they can be passed across

## python-tblib 1.1.0

=== debian/changelog ===
python-tblib (1.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Tue, 28 Jul 2015 10:42:40 +0100

python-tblib (1.0.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch: Update to use pypi.debian.net mirror.

 -- Colin Watson <cjwatson@debian.org>  Fri, 01 May 2015 01:08:17 +0100

## python-tblib 1.2.0

=== debian/changelog ===
python-tblib (1.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop build-dependencies on python*-coverage now that we run *-nocov test
    variants.

 -- Colin Watson <cjwatson@debian.org>  Fri, 18 Dec 2015 11:40:10 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Colin Watson <cjwatson@debian.org>
 Standards-Version: 3.9.6
-Build-Depends: debhelper (>= 7.2.11~), dh-python, python (>= 2.6.6-3~), python-all, python3 (>= 3.1.2-8~), python3-all, python-setuptools, python3-setuptools, python-six, python3-six, python-coverage, python3-coverage, python-tox
+Build-Depends: debhelper (>= 7.2.11~), dh-python, python (>= 2.6.6-3~), python-all, python3 (>= 3.1.2-8~), python3-all, python-setuptools, python3-setuptools, python-six, python3-six, python-tox
 Homepage: https://github.com/ionelmc/python-tblib
 Vcs-Git: git://anonscm.debian.org/users/cjwatson/python-tblib.git
 Vcs-Browser: http://anonscm.debian.org/cgit/users/cjwatson/python-tblib.git/

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 	done
 
 override_dh_auto_test:
-	HOME=$(CURDIR) tox -e py,py3
+	HOME=$(CURDIR) tox -e 2-nocov,3-nocov
 
 override_dh_auto_clean:
 	dh_auto_clean

## python-tblib 1.3.0

=== debian/changelog ===
python-tblib (1.3.0-2) unstable; urgency=medium

  * Upgrade to debhelper v9.
  * Policy version 3.9.8: no changes required.

 -- Colin Watson <cjwatson@debian.org>  Mon, 12 Dec 2016 15:00:33 +0000

python-tblib (1.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Stop using an awkward set of patches to tox.ini, and just run tests via
    pytest instead.
  * Use HTTPS for Vcs-* URLs.
  * Switch to pybuild.

 -- Colin Watson <cjwatson@debian.org>  Wed, 09 Mar 2016 12:01:36 +0000

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: python
 Priority: optional
 Maintainer: Colin Watson <cjwatson@debian.org>
-Standards-Version: 3.9.6
-Build-Depends: debhelper (>= 7.2.11~), dh-python, python (>= 2.6.6-3~), python-all, python3 (>= 3.1.2-8~), python3-all, python-setuptools, python3-setuptools, python-six, python3-six, python-tox
+Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 9~), dh-python, python (>= 2.6.6-3~), python-all, python3 (>= 3.1.2-8~), python3-all, python-setuptools, python3-setuptools, python-six, python3-six, python-pytest, python3-pytest
 Homepage: https://github.com/ionelmc/python-tblib
-Vcs-Git: git://anonscm.debian.org/users/cjwatson/python-tblib.git
-Vcs-Browser: http://anonscm.debian.org/cgit/users/cjwatson/python-tblib.git/
+Vcs-Git: https://anonscm.debian.org/git/users/cjwatson/python-tblib.git
+Vcs-Browser: https://anonscm.debian.org/cgit/users/cjwatson/python-tblib.git/
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2

## python-tblib 1.3.2

=== debian/changelog ===
python-tblib (1.3.2-2) unstable; urgency=medium

  * Move VCS to salsa.debian.org.
  * Switch Maintainer to the Debian Python Modules Team.

 -- Colin Watson <cjwatson@debian.org>  Sat, 10 Feb 2018 02:37:27 +0000

python-tblib (1.3.2-1) unstable; urgency=medium

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sat, 15 Apr 2017 11:18:14 +0100

python-tblib (1.3.1-1) unstable; urgency=medium

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Fri, 31 Mar 2017 21:16:33 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: python-tblib
 Section: python
 Priority: optional
-Maintainer: Colin Watson <cjwatson@debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Colin Watson <cjwatson@debian.org>
 Standards-Version: 3.9.8
 Build-Depends: debhelper (>= 9~), dh-python, python (>= 2.6.6-3~), python-all, python3 (>= 3.1.2-8~), python3-all, python-setuptools, python3-setuptools, python-six, python3-six, python-pytest, python3-pytest
 Homepage: https://github.com/ionelmc/python-tblib
-Vcs-Git: https://anonscm.debian.org/git/users/cjwatson/python-tblib.git
-Vcs-Browser: https://anonscm.debian.org/cgit/users/cjwatson/python-tblib.git/
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-tblib
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-tblib
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME := tblib
export PYBUILD_TEST_PYTEST := 1
export PYBUILD_TEST_ARGS := -vv tests {dir}/README.rst

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_test:
	PYTHONPATH=src dh_auto_test

override_dh_clean:
	dh_clean
	rm -rf .cache

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/tblib/tblib-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-tblib 1.4.0

=== debian/changelog ===
python-tblib (1.4.0-2ubuntu1) eoan; urgency=medium

  * Reintroduce py2 python-tblib for django 1.11.22 (LP: #1843355)

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 04 Oct 2019 12:24:49 -0600

python-tblib (1.4.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Colin Watson ]
  * Build-depend on python*-twisted for the test suite (closes: #928727).
  * Drop Python 2 support.

 -- Colin Watson <cjwatson@debian.org>  Sat, 03 Aug 2019 11:00:35 +0100

python-tblib (1.4.0-1) unstable; urgency=medium

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sun, 05 May 2019 10:25:53 +0100

python-tblib (1.3.2-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/watch: Use https protocol
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout

  [ Colin Watson ]
  * Apply patch from Fedora to fix test failures with Python 3.7 (closes:
    #912034).

 -- Colin Watson <cjwatson@debian.org>  Sun, 28 Oct 2018 15:12:47 +0000

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: python-tblib
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Colin Watson <cjwatson@debian.org>
 Standards-Version: 3.9.8
-Build-Depends: debhelper (>= 9~), dh-python, python (>= 2.6.6-3~), python-all, python3 (>= 3.1.2-8~), python3-all, python-setuptools, python3-setuptools, python-six, python3-six, python-pytest, python3-pytest
+Build-Depends: debhelper-compat (= 9), dh-python, python (>= 2.6.6-3~), python-all, python3 (>= 3.1.2-8~), python3-all, python-setuptools, python3-setuptools, python-six, python3-six, python-pytest, python3-pytest, python-twisted, python3-twisted
 Homepage: https://github.com/ionelmc/python-tblib
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-tblib
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-tblib.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-tblib
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.2
 
 Package: python-tblib
 Architecture: all

## python-tblib 1.6.0

=== debian/changelog ===
python-tblib (1.6.0-1) unstable; urgency=medium

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Mon, 09 Dec 2019 10:09:57 +0000

python-tblib (1.5.0-1) unstable; urgency=medium

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Thu, 24 Oct 2019 13:45:55 +0100

=== debian/control ===
Source: python-tblib
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Colin Watson <cjwatson@debian.org>
Standards-Version: 3.9.8
Build-Depends: debhelper-compat (= 9), dh-python, python3 (>= 3.1.2-8~), python3-all, python3-setuptools, python3-six, python3-pytest, python3-twisted
Homepage: https://github.com/ionelmc/python-tblib
Vcs-Git: https://salsa.debian.org/python-team/modules/python-tblib.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-tblib

Package: python3-tblib
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${python3:Depends}, python3-six
Description: Python 3 traceback fiddling library
 This library allows pickling tracebacks so that they can be passed across
 process boundaries.  The traceback objects that come out are stripped of
 some attributes such as variables, but it is at least possible to raise
 exceptions with those tracebacks or print them.

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 export PYBUILD_TEST_ARGS := -vv tests {dir}/README.rst
 
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_auto_test:
 	PYTHONPATH=src dh_auto_test

## python-tblib 1.7.0

=== debian/changelog ===
python-tblib (1.7.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.

 -- Colin Watson <cjwatson@debian.org>  Sat, 08 Jan 2022 16:35:03 +0000

python-tblib (1.7.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from deprecated 9 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Colin Watson ]
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sat, 25 Jul 2020 01:04:32 +0100

=== debian/control ===
Source: python-tblib
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Colin Watson <cjwatson@debian.org>
Standards-Version: 3.9.8
Build-Depends: debhelper-compat (= 13), dh-python, python3 (>= 3.1.2-8~), python3-all, python3-setuptools, python3-six, python3-pytest, python3-twisted
Homepage: https://github.com/ionelmc/python-tblib
Vcs-Git: https://salsa.debian.org/python-team/packages/python-tblib.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-tblib

Package: python3-tblib
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${python3:Depends}, python3-six
Description: Python 3 traceback fiddling library
 This library allows pickling tracebacks so that they can be passed across
 process boundaries.  The traceback objects that come out are stripped of
 some attributes such as variables, but it is at least possible to raise
 exceptions with those tracebacks or print them.

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/tblib/tblib-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-tblib 2.0.0

=== debian/changelog ===
python-tblib (2.0.0-2) unstable; urgency=medium

  * Ignore changes to src/*.egg-info/* when building source package (closes:
    #1045668).

 -- Colin Watson <cjwatson@debian.org>  Mon, 14 Aug 2023 12:00:31 +0100

python-tblib (2.0.0-1) unstable; urgency=medium

  * Update watch file format version to 4.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Wed, 28 Jun 2023 23:14:34 +0100

python-tblib (1.7.0-3) unstable; urgency=medium

  * Team upload.
  * Ignore doctest in Python 3.11 (Closes: #1026731)
  * Bump policy version (no changes)
  * Use dh-sequence-python3
  * Drop unused override_dh_clean
  * Drop duplicate dependency
  * Add R³
  * Enable autopkgtest-pkg-pybuild

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 30 Dec 2022 14:18:51 +0100

## python-tblib 3.0.0

=== debian/changelog ===
python-tblib (3.0.0-3) unstable; urgency=medium

  * Export PYTHONNODEBUGRANGES=yes from debian/rules for autopkgtest.

 -- Colin Watson <cjwatson@debian.org>  Wed, 06 Dec 2023 11:16:56 +0000

python-tblib (3.0.0-2) unstable; urgency=medium

  * Run tests with PYTHONNODEBUGRANGES=yes (closes: #1054938).

 -- Colin Watson <cjwatson@debian.org>  Tue, 05 Dec 2023 15:49:27 +0000

python-tblib (3.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Fri, 27 Oct 2023 13:37:46 +0100

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,13 @@
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Colin Watson <cjwatson@debian.org>
-Standards-Version: 3.9.8
-Build-Depends: debhelper-compat (= 13), dh-python, python3 (>= 3.1.2-8~), python3-all, python3-setuptools, python3-six, python3-pytest, python3-twisted
+Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 13), dh-sequence-python3, python3-all, python3-setuptools, python3-six <!nocheck>, python3-pytest <!nocheck>, python3-twisted <!nocheck>
 Homepage: https://github.com/ionelmc/python-tblib
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-tblib.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-tblib
+Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-tblib
 Architecture: all

=== debian/rules ===
#! /usr/bin/make -f

export PYTHONPATH=src
export PYBUILD_TEST_ARGS := -vv tests
# Traceback looks different in Python 3.11
# https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1026731
export PYBUILD_TEST_ARGS_python3.10 = -vv tests {dir}/README.rst
export PYTHONNODEBUGRANGES := yes

%:
	dh $@ --buildsystem=pybuild

## python-tblib 3.1.0

=== ci/requirements.txt ===
virtualenv>=16.6.0
pip>=19.1.1
setuptools>=18.0.1
tox
twine

=== debian/changelog ===
python-tblib (3.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Thu, 03 Apr 2025 13:53:26 +0100

python-tblib (3.0.0-6) unstable; urgency=medium

  * Apply X-Style: black.
  * Standards-Version: 3.7.0 (no changes required).
  * Fix doctests, and start running them again.

 -- Colin Watson <cjwatson@debian.org>  Fri, 17 Jan 2025 14:03:16 +0000

python-tblib (3.0.0-5) unstable; urgency=medium

  * Team Upload.
  * Remove dependency on python3-six using patch already merged upstream.

  [ Colin Watson ]
  * Add Salsa CI configuration

 -- Alexandre Detiste <tchet@debian.org>  Wed, 19 Jun 2024 23:21:49 +0200

python-tblib (3.0.0-4) unstable; urgency=medium

  * Use pybuild-plugin-pyproject.

 -- Colin Watson <cjwatson@debian.org>  Sat, 16 Mar 2024 10:30:29 +0000

=== debian/control ===
Source: python-tblib
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Colin Watson <cjwatson@debian.org>,
Standards-Version: 4.7.0
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-pytest <!nocheck>,
 python3-pytest-benchmark <!nocheck>,
 python3-setuptools,
 python3-twisted <!nocheck>,
Homepage: https://github.com/ionelmc/python-tblib
Vcs-Git: https://salsa.debian.org/python-team/packages/python-tblib.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-tblib
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-pybuild
X-Style: black

Package: python3-tblib
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Python 3 traceback fiddling library
 This library allows pickling tracebacks so that they can be passed across
 process boundaries.  The traceback objects that come out are stripped of
 some attributes such as variables, but it is at least possible to raise
 exceptions with those tracebacks or print them.

## python-tblib 3.2.0

=== debian/changelog ===
python-tblib (3.2.0-1) unstable; urgency=medium

  * Standards-Version: 4.7.2.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Fri, 24 Oct 2025 11:08:04 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Colin Watson <cjwatson@debian.org>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,

=== debian/rules ===
#! /usr/bin/make -f

export PYTHONPATH=src
export PYBUILD_TEST_ARGS := -vv tests {dir}/README.rst
export PYTHONNODEBUGRANGES := yes

%:
	dh $@ --buildsystem=pybuild

## python-tblib 3.2.1

=== ci/requirements.txt ===
pip>=25
setuptools>=80
setuptools_scm>=8
tox>=4
virtualenv>=20.34

=== debian/changelog ===
python-tblib (3.2.1-1) unstable; urgency=medium

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sat, 01 Nov 2025 18:30:11 +0000

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ https://pypi.debian.net/tblib/tblib-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-tblib 3.2.2

=== debian/changelog ===
python-tblib (3.2.2-1) unstable; urgency=medium

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Thu, 13 Nov 2025 08:08:59 +0000
